#ifndef __IA_H__
#define __IA_H__

#include <string>

#include <boost/shared_ptr.hpp>
#include <boost/date_time/posix_time/posix_time_types.hpp>

#include "ia_auth_c.h"

class IA {
    public:
        ~IA() {}

        void connect() { p->connect(); }
        void disconnect() { p->disconnect(); }
        bool waitConnect(const boost::posix_time::time_duration & timeout) { return p->waitConnect(timeout); }
        bool waitDisconnect(const boost::posix_time::time_duration & timeout) { return p->waitDisconnect(timeout); }
        void setEnabledDirs(const bool * selectedDirs) { p->setEnabledDirs(selectedDirs); }
        void getStat(LOADSTAT * ls) { p->getStat(ls); }
        bool isAuthorized() const { return p->isAuthorized(); }
        std::string getError() const { return p->getError(); }
        int getErrorCode() const { return p->getErrorCode(); }

    private:
        IA(const IAClientPtr & ptr) : p(ptr) {}

        IAClientPtr p;

        friend class IAFactory;
};

typedef boost::shared_ptr<IA> IAPtr;

#endif
