#ifndef __IA_TYPES_H__
#define __IA_TYPES_H__

#include <string>
#include <vector>

#include <boost/function.hpp>

#include "ia_packets.h"

#define IA_BIND_ERROR          (1)
#define IA_SERVER_ERROR        (2)
#define IA_FCNTL_ERROR         (3)
#define IA_GETHOSTBYNAME_ERROR (4)
#define IA_SELECT_ERROR        (5)
#define IA_RECV_ERROR          (6)
#define IA_SEND_ERROR          (7)
#define IA_TIMEOUT             (8)

#define IA_PROTO_VER           (8)

typedef boost::function<void (bool status)> StatusCb;
typedef boost::function<void (const LOADSTAT & loadStat)> StatCb;
typedef boost::function<void (const std::string & message, int infoType, int showTime, int sendTime)> MessageCb;
typedef boost::function<void (const std::string & message, int netError)> ErrorCb;
typedef boost::function<void (const std::vector<std::string> & dirName)> DirNamesCb;

#endif
