#ifndef __MAC_PATH_PROVIDER_H__
#define __MAC_PATH_PROVIDER_H__

#include <vector>
#include <string>

#include <boost/filesystem.hpp>

#include "path_provider.h"

class MacPathProvider : public PathProvider {
    public:
        MacPathProvider(const std::string & name);

        boost::filesystem::path getHomeDir() const;
        boost::filesystem::path getDataDir() const;

        virtual std::vector<boost::filesystem::path> getResourceDirs() const
        { return resDirs; }

    private:
        std::vector<boost::filesystem::path> resDirs;
};

#endif
