#ifndef __WIN_PATH_PROVIDER_H__
#define __WIN_PATH_PROVIDER_H__

#include <vector>
#include <string>

#include <boost/filesystem.hpp>

#include "path_provider.h"

class WinPathProvider : public PathProvider {
    public:
        WinPathProvider(const std::string & name);

        boost::filesystem::path getDataDir() const;
        boost::filesystem::path getHomeDir() const;

        std::vector<boost::filesystem::path> getResourceDirs() const
        { return resDirs; }

    private:
        std::vector<boost::filesystem::path> resDirs;
};

#endif
