/*
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 1, or (at your option)
** any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "ia_about.h"
#include "ui_ia_about.h"

ia_about::ia_about(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ia_about)
{
    ui->setupUi(this);
    QPixmap pix(":/images/logoSG.png");
    //logo
    this->ui->lbl_logo->setPixmap(pix);
    // set texts
    this->ui->lbl_logo_text->setText(tr("<b>InetAccess</b><br>Authorization program for Stargazer billing system"));
    this->ui->lbl_about->setText(tr("Authorization program for Stargazer billing system"));
    this->ui->lbl_authors->setText(tr("Maxim Mamontov faust@stg.dp.ua<br>Michael Khromov MikeDMorto@gmail.com"));
    this->ui->lbl_translation->setText(tr("<b>English:</b><br>"
                                          "Maxim Mamontov faust@stg.dp.ua<br>Michael Khromov MikeDMorto@gmail.com<br><hr>"
                                          "<b>Russian:</b><br>"
                                          "Maxim Mamontov faust@stg.dp.ua<br>Michael Khromov MikeDMorto@gmail.com<br><hr>"
                                          "<b>Ukrainian:</b>"
                                          "Maxim Mamontov faust@stg.dp.ua<br><hr>"));

}

ia_about::~ia_about()
{
    delete ui;
}

void ia_about::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
