/*
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 1, or (at your option)
** any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <QIcon>

#include "ia_tray_icon.h"

IATrayIcon::IATrayIcon(QIcon & online, QIcon & offline, QObject * parent)
    : QSystemTrayIcon(parent),
      onlineIcon(online),
      offlineIcon(offline)
{
    setIcon(offlineIcon);
}

IATrayIcon::~IATrayIcon()
{
}

void IATrayIcon::setState(bool state)
{
    if (state) {
        setIcon(onlineIcon);
    } else {
        setIcon(offlineIcon);
    }
}
