#ifndef __MESAGE_HISTORY_WIDGET_H__
#define __MESAGE_HISTORY_WIDGET_H__

#include <QWidget>
#include <QSplitter>
#include <QListView>
#include <QLabel>
#include <QToolButton>
#include <QWebView>
#include <QModelIndex>

#include "splittercollapser.h"

class MessagesModel;

class MessageHistoryWindow : public QWidget {
    Q_OBJECT
    public:
        MessageHistoryWindow(QWidget * parent = 0);
        ~MessageHistoryWindow();

        void setModel(MessagesModel * model);

    private slots:
        void m_leftClicked();
        void m_rightClicked();
        void m_messageChanged(const QModelIndex & to, const QModelIndex & from);

        void showHistory();
        void showLast();

    private:
        QSplitter * m_splitter;
        QListView * m_messageList;
        SplitterCollapser * m_splitterCollapser;
        QLabel * m_dateLabel;
        QWebView * m_webView;
        QToolButton * m_leftButton;
        QToolButton * m_rightButton;

        MessagesModel * m_model;
};

#endif
